'读进程内存到任意自己进程内存中，可以看成是从别的进程复制内存到自己进程内存中
'MEM_Get_ANY(进程ID，读地址，保存地址，读取长度 )
'返回=0 表示失败，其它成功
Function MEM_Read_ANY(ByVal Pid as DWord, ByVal lpBaseAddress as UInteger, ByVal lpBuffer as LPVOID, sLen as UInteger) as Integer
   '储存进程标识符( Process Id )
   Dim phandle as HANDLE ' 储存进程句柄
   Dim I as Integer
   phandle = OpenProcess(&H1F0FFF, 0, Pid)
   If phandle = 0 Then
      Function = 0
      Exit Function
   End If
   I = ReadProcessMemory(phandle, Cast(LPCVOID, lpBaseAddress), lpBuffer, sLen, 0)
   Function = i
   '关闭进程句柄-------------------------
   '最后通过传递进程句柄给 CloseHandle() 函数来关闭由 OpenProcess 打开的句柄。
   '关闭进程句柄
   CloseHandle phandle
End Function